# ncdf4Utils-package

Package for plotting and analysing netCDF formatted atmospheric and oceanic model data.


This package provides several functions to plot NetCDF data following [CF conventions](http://cfconventions.org) on rotated or regular lonlat grids and icosahedral model grid, as well as a function to read in the time dimension of NetCDF files and a function to compute grid point fractions within a given polygon.


  The time dimension of NetCDF files can be read with:
  
	nc <- nc_open("<path-to-netcdf-file>")
	times <- nccf_times(nc)
  
   This plotting function `plotmap` should work for geographical and rotated
     model coordinates as well as for most structured grids, if additional geographic lat/lon data are provided for the model grid.
     It is also possible to plot icosahedral output. The geographical longitudes and latitudes of the vertices have to be given in variables with the names `clon_bnds` and `clat_bnds` or `clon_vertices` and `clat_vertices`.
 
  
	plotmap("<path-to-netcdf-file>", ...)
  
  Fractional area within a given polygon can be computed via:
  
	frac_in_polygon(lon, lat, poly.lon, poly.lat)
  
  Plots within already existing plots are setup via:
  
	set_position(x,y,size=0.2)
  


## Download the Package

[https://git.coast.hzg.de/burkhardt.rockel/ncdf4Utils](https://git.coast.hzg.de/burkhardt.rockel/ncdf4Utils)



