% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/geo2mod.R
\name{geo2mod}
\alias{geo2mod}
\title{Function to convert geographical into model coordinates}
\usage{
geo2mod(lon, lat, ptlon, ptlat, gridmapping = list(attribute1 = NULL))
}
\arguments{
\item{lon}{geographical longitudes of the model grid points, a vector or a matrix}

\item{lat}{geographical latitudes of the model grid points, a vector or a matrix}

\item{ptlon}{geographical longitude values to be converted, a vector with the same length as ptlat}

\item{ptlat}{geographical longitude values to be converted, a vector with the same length as ptlon}

\item{gridmapping}{A list of attributes for the grid mapping as it is returned by the plotmap function}
}
\value{
Returns a list with two vectors:
   \item{x}{Processed longitudes}
   \item{y}{Processed latitudes}
}
\description{
Functions to converts geographical latitudes and longitudes to positions on a regular model grid.
}
\note{
This function does not work for unstructured grid
}
\examples{
   # for rotated coordinates

   tmp <- plotmap(...)
   point<- geo2mod(lon, lat, c(10.,30.,-40.), c(50.,60.,60.),gridmapping=tmp$gridmapping)

   # for all other coordinates
   tmp <- plotmap(...)
   point<- geo2mod(lon, lat, c(10.,30.,-40.), c(50.,60.,60.),gridmapping=list(attribute1=NULL))

}
\author{
Burkhardt Rockel (HZG)
}
