% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/geo2rot.R
\name{geo2rot}
\alias{geo2rot}
\alias{rot2geo}
\title{Functions to convert geographic to rotated coordinates and vice versa}
\usage{
geo2rot(pollon, pollat, lon, lat, polgam = 0, pollonshift = TRUE)

rot2geo(pollon, pollat, rlon, rlat, polgam = 0, pollonshift = TRUE)
}
\arguments{
\item{pollon}{Longitude of the rotated pole in degrees}

\item{pollat}{Latitude of the rotated pole in degrees}

\item{lon}{A vector of longitudes}

\item{lat}{A vector of latitudes}

\item{polgam}{Rotation angle about the North-South-Pole axis in the rotated system}

\item{rlon}{A vector of longitudes on the rotated grid}

\item{rlat}{A vector of latitudes on the rotated grid}
}
\value{
Returns a list with two vectors:
   \item{x}{Processed longitudes}
   \item{y}{Processed latitudes}
}
\description{
Functions to convert rotated latitudes and longitudes to positions on regular grids and vice versa
}
\section{Functions}{
\itemize{
\item \code{geo2rot}: convert regular lat/lon to rotated grid

\item \code{rot2geo}: convert rotated to regular lat/lon grid
}}

\note{
These functions are based on the respective fortran code from the COSMO model (numerical weather prediction model of the DWD, Germany).

 @author Jonas Bhend
 
 @examples
   Location of c(0,0) in rotated coordinates
   rot2geo(-170, 32.5, 0, 0)
}
