% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nccf_times.R
\name{nccf_times}
\alias{nccf_times}
\title{Function to extract dates and times from NetCDF file opened with nc_open()}
\usage{
nccf_times(nc)
}
\arguments{
\item{nc}{The connection to the netcdf file as with nc_open()}
}
\value{
A vector of Dates or Datetimes depending on the units in the NetCDF file.
}
\description{
This function extracts the date and time information from NetCDF files that follow the CF conventions and converts it either to the internal Date format.
}
\note{
his function assumes that the netCDF is in CF convention, ie. the variable holding the time information must be named "time".
   The time variable must have a "units" attribute in the form "seconds since YYYY-MM-DD HH:MM:SS" where "seconds" can also be "minutes", "hours", "days", "months", "years"
}
\examples{
    # Open a file and read its data
    nc        <- nc_open("foo.nc")
    times     <- nccf_times(nc)
    print("here is the data in the file:")
    head(times) 
    tail(times)
    t2m       <- ncvar_get(nc, "T_2M")
    nc_close( nc )
    plot(times, t2m, type="l")
 
}
\seealso{
{\code{\link[ncdf4]{nc_open}}, \code{\link{as.PCICt}}}
}
\author{
Burkhardt Rockel (HZG)
}
