% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/polymask.R
\name{polymask}
\alias{polymask}
\title{Create a mask from a given closed polygon}
\usage{
polymask(Cfile, Pfile, Mfile = NULL, multiply = 1, skiplines = 0,
  undef = -1e+20, ...)
}
\arguments{
\item{Cfile}{NetCDF input file containing the information of the domain}

\item{Pfile}{ASCII input file containing the polygon points in geographical coordinates. One longitude latitude pair per line.}

\item{Mfile}{Output file receiving the mask}

\item{multiply}{allows for fractional grid box values in the vicinity of the polygon line. \code{multiply} is the factor by which the grid is inflated temporarily during the computation. 1 = no fraction, 2 = halfs, 3 = thirds, 4 = quarters, etc.}

\item{skiplines}{lines to be skipped when reading from Pfile}

\item{undef}{value in the outer part of the polygon}
}
\value{
Returns a matrix of dimension nlon x nlat of fractional gridbox area within the polygon.
}
\description{
This function reads a closed polygon given as geographical longitude and latitude pairs.
  The inner part of the polygon is given the value 1. The value in the outer part can be chosen by the user. This value will be interpreted as undefined in netCDF.
  Optionally the created mask can be written into a file
}
\note{
Multiple polygons in a file must be divided by lines holding "-999 -999"
}
\examples{
  
# create a mask with fractional grid box coverage and skip the first line when reading the polygon file
polymask (Cfile="/path/lffd2001010100.nc", Pfile="/path/polygon.txt", Mfile="/path/mask.nc", multiply=4, skiplines=1)

}
\author{
Burkhardt Rockel (HZG)
}
