% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/windvec.R
\name{windvec}
\alias{windvec}
\title{Create a vector plot}
\usage{
windvec(u, v, x, y, scale = 2, length = 0.05, units = NA, lwd = 1,
  colvar = NULL, col = par("fg"), levels = 1, n = 5,
  legend.scale = 1)
}
\arguments{
\item{u, v}{2D arrays holding the values for the velocity components in x and y direction}

\item{x, y}{1D arrays holding the coordinate values in x and y direction}

\item{scale}{scaling of the vector length}

\item{length}{length of the edges of the arrow head (in inches)}

\item{units}{units of u and v}

\item{lwd}{line width}

\item{colvar}{2D array of a quantity to be plotted as colors of the vector}

\item{col}{colors of the vectors}

\item{levels}{levels for the colors}

\item{n}{plot every n's vector}

\item{legend.scale}{sets the scale of the vector that is plotted over the top right of the image}
}
\value{
There is no return value
}
\description{
This function plots wind vectors over a given plot.
}
\examples{
  # plot vectors of 10m wind over an image created with plotmap
  col<-c("#FFFF82","#F0F000","#82FF82","#00FF00","#00C800","#009600","#00A0FF",
         "#0064FF","#0000FF","#8C1EDC","#A000A0","#BE0082","#BE005A","#BE0000")
  levs<-seq(-23.,23.,2.)
  nc<-nc_open(ncfile)
  rlon <- ncvar_get(nc,"rlon")
  rlat <- ncvar_get(nc,"rlat")
  u <- ncvar_get(nc,"U_10M")
  v <- ncvar_get(nc,"V_10M")
  t <- ncvar_get(nc,"T_2M")
  units <- paste("10 ",ncatt_get(ncu, "U_10M", "units")$value,sep="")
  nc_close(nc)
  tmp <- plotmap(.....)
  # with colors
  windvec(u, v, rlon, rlat,units=units,colvar=t,col=col,levels=levs,legend.scale=10)
  # without colors
  windvec(u, v, rlon, rlat,units=units,legend.scale=10)
  
}
\author{
Burkhardt Rockel (HZG)
}
